#include <arc/ftpcontrol.h>
#include <arc/notify.h>

int main() {

	SetNotifyLevel(VERBOSE);

	FTPControl ftpc;
	URL url("gsiftp://quark.hep.lu.se/demo");
	
	try {

		//ftpc.Upload("/usr/share/doc/xine-plugins-1/faq/faq.html", url3);

		//ftpc.Download(url2, "test.txt");

		std::list<FileInfo> flist = ftpc.ListDir(url);
		std::list<FileInfo>::iterator it;
		for (it = flist.begin(); it != flist.end(); it++) {
			std::cout << it->filename << "  " << it->size << "  ";
			if (it->isdir) std::cout << "directory" << std::endl;
			if (!it->isdir) std::cout << "file" << std::endl;
		}

	} catch(FTPControlError e) {
		std::cout << "Caught exception: " << e.what() << std::endl;
	}
}
