#include <string>
#include <list>
#include <iostream>

#include <arc/giis.h>

using namespace std;

int main() {

	list<URL> liste;
	try {
		liste = GetGIISList( );
	} catch(GIISError e) {
		cout << e.what() << endl;
		return 1;
	}

	list<URL>::iterator listit;
	cout << "GIIS liste:" << endl;
	for (listit = liste.begin(); listit != liste.end(); listit++)
		cout << *listit << endl;
}
